package cn.ninegame.genericframework.basic;

import android.os.Bundle;

public class GMessage {
    public int id;
    public String name;
    public Bundle bundleData;
    public IResultListener resultListener;
    public IMessageContext messageContext;

    public GMessage(int id, Bundle bundle){
        this.id = id;
        bundleData = bundle;
    }

    public GMessage(int id, Bundle bundle,IMessageContext messageContext){
        this.id = id;
        bundleData = bundle;
        this.messageContext = messageContext;
    }

    public GMessage(int id, Bundle bundle, IResultListener iResultListener){
        this.id = id;
        this.bundleData = bundle;
        this.resultListener = iResultListener;
    }

    public GMessage(int id){
        this(id, null);
    }

    public static GMessage obtain(int id, Bundle bundle){
        return new GMessage(id,bundle);
    }

    public static GMessage obtain(int id, IResultListener iResultListener){
        return new GMessage(id,null,iResultListener);
    }

    public static GMessage obtain(int id, Bundle bundle, IResultListener iResultListener){
        return new GMessage(id,bundle,iResultListener);
    }

    public static GMessage obtain(int id){
        return new GMessage(id);
    }
}
