package cn.ninegame.genericframework.basic;

/**
 * Created by zhonghui on 2017-04-17.
 */

public final class NoSubscriberEvent {
    /** The {@link MsgBroker} instance to with the original event was posted to. */
    public final MsgBroker msgBroker;

    /** The original event that could not be delivered to any subscriber. */
    public final Object originalEvent;

    public NoSubscriberEvent(MsgBroker msgBroker, Object originalEvent) {
        this.msgBroker = msgBroker;
        this.originalEvent = originalEvent;
    }

}
