package cn.ninegame.genericframework.basic;

import android.os.Bundle;

/**
 * ****************************************************************************
 * Copyright @ 2009 - 2015 www.9game.cn All Rights Reserved
 * <p/>
 * Creation    : 2015-03-30
 * Author      : lihq@ucweb.com
 * Description : Tell me what does this class do
 * ****************************************************************************
 */
public class Notification {
    public int id;
    public String messageName;
    public Bundle bundleData;

    public Notification(int id, Bundle bundle){
        this.id = id;
        bundleData = bundle;
    }

    public Notification(int id, String messageName,Bundle bundle){
        this.id = id;
        this.bundleData = bundle;
        this.messageName = messageName;
    }

    public Notification(int id){
        this(id, null);
    }

    public static Notification obtain(int id, Bundle bundle){
        return new Notification(id,bundle);
    }

    public static Notification obtain(int id){
        return new Notification(id);
    }
}
