package cn.ninegame.genericframework.module.CacheOperation;

import java.math.BigInteger;
import java.util.zip.CRC32;

import cn.ninegame.genericframework.tools.CRC16;

/**
 * <p>Title: 9game</p>
 * <p/>
 * <p>Description: </p>
 * //TODO Description
 * <p>Copyright: Copyright (c) 2016</p>
 * <p/>
 * <p>Company: 9game.cn</p>
 *
 * @author haoquan.lhq@alibaba-inc.com
 * @version 1.0
 * @Date: 2016-04-18 15:44
 */
public abstract class Operation {
    private boolean mNeedShowLoading = false;

    public boolean isNeedShowLoading() {
        return mNeedShowLoading;
    }

    void setNeedShowLoading(boolean needShowLoading) {
        this.mNeedShowLoading = needShowLoading;
    }

    public abstract int getOperationKey();

    protected int generateOpKey(String stringKey){
        int crc16 = CRC16.calcCrc16(stringKey.getBytes());
        //%02d模块ID,00消息类型,
        return new BigInteger(String.format("%02d00%04x", Integer.valueOf(0), crc16), 16).intValue();

    }
}
