package cn.ninegame.genericframework.basic;

import android.os.Bundle;
import android.os.Parcel;
import android.os.Parcelable;

/**
 * ****************************************************************************
 * Copyright @ 2009 - 2015 www.9game.cn All Rights Reserved
 * <p/>
 * Creation    : 2015-03-18
 * Author      : lihq@ucweb.com
 * Description : Tell me what does this class do
 * ****************************************************************************
 */
public abstract class IResultListener implements Parcelable{
    private Bundle mResultBundle;

    public void setResultBundle(Bundle bundle){
        mResultBundle = bundle;
    }

    public Bundle getResultBundle(){
        return mResultBundle;
    }

    public void performOnResult(){
        onResult(mResultBundle);
    }

    public abstract void onResult(Bundle result);


    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeBundle(mResultBundle);
    }

    public IResultListener() {
    }

    private IResultListener(Parcel in) {
        mResultBundle = in.readBundle();
    }
}
