package cn.ninegame.genericframework.module;

import cn.ninegame.genericframework.module.CacheOperation.Operation;

/**
 * ****************************************************************************
 * Copyright @ 2009 - 2015 www.9game.cn All Rights Reserved
 * <p/>
 * Creation    : 2016-01-25
 * Author      : lihq@ucweb.com
 * Description : 回调接口（用于通知dex加载前后的通知，如果A Module对B Module有依赖，就添加监听）
 * ****************************************************************************
 */
public interface ILoadModuleListener {
    void onLoadStart(ModuleInfo info, Operation operation);
    void onLoadFinish(ModuleInfo info, Operation operation);
    void onLoadError(ModuleInfo info, Operation operation);
}
